%define	name	bogofilter
%define	version	0.17.2
%define	release	1mdk

Summary:	Fast anti-spam filtering by Bayesian statistical analysis
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://bogofilter.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	db4-devel
BuildRequires:	autoconf2.5
BuildRequires:	gsl-devel
#Requires:	libdb4.1
#Requires:	maildrop?
#Requires:	procmail?
#Requires:	postfix?
#Requires:	exim?
#Requires:	qmail?
#Requires:	sendmail?
#BuildRequires:	libtdb1-devel (maybe as an conditional build?)
#Requires:	libtdb1 (maybe as an conditional build?)
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Bogofilter is a Bayesian spam filter. In its normal mode of
operation, it takes an email message or other text on standard
input, does a statistical check against lists of "good" and
"bad" words, and returns a status code indicating whether or not
the message is spam. Bogofilter is designed with fast algorithms
(including Berkeley DB system), coded directly in C, and tuned for
speed, so it can be used for production by sites that process a
lot of mail.

%prep

%setup -q

%build

%configure2_5x

%make

%make DESTDIR="%{buildroot}" check

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

# it gets built, so why not install it?
##it is only needed to run check during build and does not need to be installed CAE
#install -m755 contrib/bogogrep %{buildroot}%{_bindir}/

# prepare for doc inclusion
mkdir html; cp doc/*.html html/
 
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES* COPYING Doxyfile INSTALL METHODS NEWS README* 
%doc RELEASE.NOTES* TODO bogofilter.cf.example
%doc doc/bogofilter-SA-2002-01
%doc doc/integrating* doc/bogofilter-tuning.HOWTO 
%doc html/*.html 
%doc contrib/README* contrib/*.example
%doc trio/AUTHORS trio/CHANGES trio/README
%config(noreplace) %{_sysconfdir}/bogofilter.cf

%{_bindir}/bogofilter 
%{_bindir}/bogolexer
%{_bindir}/bogoupgrade
%{_bindir}/bogoutil
%{_bindir}/bogotune

%{_mandir}/man1/bogofilter.1*
%{_mandir}/man1/bogolexer.1*
%{_mandir}/man1/bogoutil.1*
%{_mandir}/man1/bogoupgrade.1*
%{_mandir}/man1/bogotune.1*

%changelog
* Tue Feb 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.17.2-1mdk
- 0.17.2

* Wed Jan 07 2004 Charles A Edwards <eslrahc@mandrake.org> 0.16.0-1mdk
- 0.16.0

* Sat Dec 27 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.13-1mdk
- 0.15.13

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.12-2mdk
- rm bogogrep--only needed for check during build
- add missing docs
- fix typo in man listing

* Thu Dec 25 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.12-1mdk
- 0.15.12
- new files
- update doc listing 

* Fri Oct 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15.5.2-1mdk
- 0.15.5.2

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5.2-1mdk
- 0.14.5.2

* Wed Aug 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5.1-1mdk
- 0.14.5.1
- use macros

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.4-1mdk
- 0.14.4
- build against libdb4.1

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.13.7.2-1mdk
- 0.13.7.2

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.2-2mdk
- use the %%configure2_5x macro

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.2-1mdk
- initial cooker contrib
